---
search:
  tags:
    - 在庫
    - POST
seo:
  description: 1つの拠点の販売可能な個体を最大200件発送し、in_transitにします。同一拠点への発送はできません。…
sidebar:
  label: 個体を別の拠点へ発送する
  badge: POST
title: 個体を別の拠点へ発送する
type: openapi-operation
---
1つの拠点の販売可能な個体を最大200件発送し、in_transitにします。同一拠点への発送はできません。 同じrequestId・同じ内容の再実行は200、初回作成は201です。requestIdを別の内容へ流用するとidempotency_conflictになります。 inventory:readに加え、この操作のスコープと許可したメンバーのinventory.write権限が必要です。

`POST /inventory/transfers`

**Request body** (`application/json`, required)

- `requestId` (string<uuid>, required)
- `toSiteId` (string<uuid>, required)
- `inventoryItemIds` (string<uuid>[], required)
- `reason` (string, required)
- `carrier` (string)
- `trackingNumber` (string)
- `externalRef` (string)

Request body example:

```json
{
  "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
  "toSiteId": "80101396-c399-408c-88ad-cd8029268567",
  "inventoryItemIds": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "reason": "string",
  "carrier": "string",
  "trackingNumber": "string",
  "externalRef": "string"
}
```

**Responses**

- `200` — 成功
- `201` — 作成しました
- `400` — \`invalid\_request\`。パラメーターが正しくありません。
- `401` — \`invalid\_token\`。トークンがない、期限切れ、または別のリソース向けです。
- `403` — \`insufficient\_scope\`、\`connection\_revoked\`、\`client\_disabled\`、\`forbidden\` のいずれかです。
- `409` — 競合・requestIdの流用・受取未確認
- `422` — 現在の状態・対象・値では実行できません。errorと対象IDを確認します。

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "transferNumber": "string",
  "status": "in_transit",
  "version": 0,
  "fromSiteId": "33a55c88-1ae8-426c-bfdd-0fd03c0d6ee1",
  "toSiteId": "80101396-c399-408c-88ad-cd8029268567",
  "carrier": "string",
  "trackingNumber": "string",
  "reason": "string",
  "externalRef": "string",
  "shippedAt": "2019-08-24T14:15:22Z",
  "completedAt": "2019-08-24T14:15:22Z",
  "items": [
    {
      "inventoryItemId": "ef1bc09e-447a-46aa-a9d9-d86e3d490831",
      "assetNumber": "string",
      "status": "in_transit",
      "fromLocationId": "178bb398-90d2-4fc3-a4a0-37fc0eed2806",
      "toLocationId": "e81ad314-9cb9-45ae-9ad9-f1b5ebcc7aae",
      "resolvedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```
